local addonName, player = ...

local TRADEFILL = LibStub("AceAddon-3.0"):GetAddon(addonName)

local minimap = LibStub("LibDBIcon-1.0", true)

function defaultsMinimap()
    return
    {
        type = "data source",
        text = "minimap",
        icon = "",
        OnTooltipShow = function(tooltip)
            tooltip:SetText("|c8788EEff" .. addonName .. "|r")
            tooltip:AddLine("|cffeda55fClick|r|cFF33FF33 " .. minimap:setTooltip("one") .. "|r")
            tooltip:AddLine("|cffeda55fRight-Click|r |cFF33FF33to " .. minimap:setTooltip("two") .. " the options menu|r")
            tooltip:Show()
        end,
        OnClick = function(self, click )
            if click == "LeftButton" then

                if TRADEFILL.db.profile.setting.standby == true then
                    TRADEFILL:setOn()
                    minimap:setButtonOn()
                else
                    TRADEFILL:setOff()
                    minimap:setButtonOff()
                end
            end

            if click == "RightButton" then
                if SettingsPanel:IsShown() then
                    HideUIPanel(SettingsPanel)
                    HideUIPanel(GameMenuFrame)
                else
                    TRADEFILL:SlashCommand()
                end
            end
        end
    }
end


function minimap:setTooltip(line)

    local status = TRADEFILL.db.profile.setting.standby

    if line == "one" then
        local textOne = "to |cFFFF0000disable|r autofill"
        if status then
            textOne = "to enable autofill|r"
        end
        return textOne
    end

    if line == "two" then
        local textTwo = "open"
        if SettingsPanel:IsShown() then
            textTwo = "close"
        end
        return textTwo
    end
end

function minimap:setButtonOn()
    icon.icon = "Interface\\AddOns\\"..addonName.."\\images\\Spell_Nature_Polymorph_Cow.tga"
end

function minimap:setButtonOff()
    icon.icon = "Interface\\AddOns\\"..addonName.."\\images\\Spell_Nature_Polymorph_Cow_Red.tga"
end

function minimap:minimapButton(self)
    icon = LibStub("LibDataBroker-1.1"):NewDataObject("minimap", defaultsMinimap())
    minimap:Register("minimap", icon, self.db.profile.minimap)


    if TRADEFILL.db.profile.setting.standby == true then
        minimap:setButtonOff()
    else
        minimap:setButtonOn()
    end
end